For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
    • PATCHProfiles
      • GETList users
      • GETRetrieve a single User
      • POSTSearch or list users
LogoLogo
SupportDeel Home
EndpointsUsers

List users

GET
/Users
GET
/scim/v2/Users
$curl -G https://api.letsdeel.com/scim/v2/Users \
> -H "Authorization: Bearer <token>" \
> --data-urlencode "filter=email eq "user@example.com"" \
> -d startIndex=1 \
> -d count=50
1{
2 "schemas": [
3 "urn:ietf:params:scim:api:messages:2.0:ListResponse"
4 ],
5 "Resources": [
6 {
7 "meta": {
8 "created": "2023-11-15T09:30:00Z",
9 "location": "https://api.letsdeel.com/scim/v2/Users/a1b2c3d4-e5f6-7890-ab12-cd34ef567890",
10 "lastModified": "2024-05-20T14:45:00Z",
11 "resourceType": "User"
12 },
13 "name": {
14 "givenName": "Emily",
15 "familyName": "Johnson"
16 },
17 "emails": [
18 {
19 "type": "work",
20 "value": "emily.johnson@deel.com",
21 "primary": true
22 }
23 ],
24 "schemas": [
25 "urn:ietf:params:scim:schemas:core:2.0:User"
26 ],
27 "userName": "ejohnson",
28 "id": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890",
29 "title": "Senior Software Engineer",
30 "active": true,
31 "userType": "Employee",
32 "addresses": [
33 {
34 "type": "work",
35 "region": "California",
36 "country": "US",
37 "lineTwo": "Suite 400",
38 "locality": "San Francisco",
39 "postalCode": "94105",
40 "streetAddress": "123 Market St"
41 }
42 ],
43 "urn:ietf:params:scim:schemas:extension:2.0:User": {
44 "state": "California",
45 "country": "US",
46 "endDate": "2025-12-31",
47 "birthday": "1990-04-15",
48 "workerId": "W123456",
49 "isManager": false,
50 "startDate": "2020-06-01",
51 "employments": [
52 {
53 "team": {
54 "name": "Platform Engineering"
55 },
56 "state": "California",
57 "title": "Senior Software Engineer",
58 "active": true,
59 "country": "US",
60 "startDate": "2020-06-01",
61 "contractId": "C78910",
62 "contractType": "Full-time",
63 "customFields": [
64 {
65 "id": "CF001",
66 "data": {
67 "value": "Agile"
68 },
69 "name": "Work Methodology",
70 "type": "Text"
71 }
72 ],
73 "employeeNumber": "E456789"
74 }
75 ],
76 "customFields": [
77 {
78 "id": "CF100",
79 "name": "Employee Level",
80 "value": "Senior"
81 }
82 ],
83 "hiringStatus": "Active",
84 "workLocation": "San Francisco HQ",
85 "preferredName": "Em",
86 "preferredLastName": "Johnson",
87 "preferredFirstName": "Emily",
88 "departmentHierarchy": "Engineering > Platform",
89 "departmentExternalId": "DPT123",
90 "organizationalStructures": [
91 {
92 "name": "Engineering",
93 "externalId": "ENG001",
94 "structureId": "STR1001",
95 "nameHierarchy": "Company > Engineering",
96 "structureName": "Engineering Division",
97 "externalIdHierarchy": "COMP001>ENG001"
98 }
99 ],
100 "departmentExternalIdHierarchy": "COMP001>ENG001>DPT123",
101 "workerTerminationLastDateOfWork": null
102 },
103 "urn:ietf:params:scim:schemas:extension:enterprise:2.0:User": {
104 "manager": {
105 "value": "michael.smith",
106 "email": "michael.smith@deel.com",
107 "displayName": "Michael Smith"
108 },
109 "costCenter": "CC1001",
110 "department": "Platform Engineering",
111 "customFields": {
112 "EmployeeBadge": "12345",
113 "ParkingSpot": "B12"
114 },
115 "organization": "Deel Inc.",
116 "preferredLastName": "Johnson",
117 "preferredFirstName": "Emily"
118 },
119 "phoneNumbers": [
120 {
121 "type": "work",
122 "value": "+14155552671",
123 "primary": true
124 }
125 ]
126 }
127 ],
128 "startIndex": 1,
129 "itemsPerPage": 1,
130 "totalResults": 1
131}

Retrieve a list of users in Deel’s HRIS. Token scopes: Users:read

Was this page helpful?
Previous

Retrieve a single User

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Query parameters

filterstring or list of stringsOptional
Filter results using [SCIM's filtering syntax](https://datatracker.ietf.org/doc/html/rfc7644#section-3.4.2.2). Currently supports only `eq` operator and filtering by a user's email. Expected format 'email eq "email@domain.com"'.
startIndexstringOptionalformat: "^[0-9]+$"

The 1-based index of the first result to return. Used for pagination. Minimum value is 1. Defaults to 1 if not provided.

countstringOptionalformat: "^[0-9]+$"
The maximum number of results to return per page. Used for pagination. A value of 0 is treated as a special case and returns 1 result. Typically should be a positive integer.

Response

Successful response
schemaslist of enums
Allowed values:
Resourceslist of objects
startIndexlong
itemsPerPagelong
totalResultslong

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
429
Too Many Requests Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Filter results using SCIM’s filtering syntax. Currently supports only eq operator and filtering by a user’s email. Expected format ‘email eq “email@domain.com”’.